About the Manual

This manual is intended for all users who want to learn how to use Nero MediaHome. It is process-based and explains how to reach a particular objective on a step-by-step basis.

In order to make best use of this manual, please note the following conventions:

Symbol | Meaning
 | Indicates warnings, requirements, or notice messages that have to be precisely followed.
 | Indicates additional information or advice.
1. Start … | A number at the beginning of a line indicates a request for action. Carry out these actions in the order specified.
 | Indicates an intermediate result.
 | Indicates a result.
OK | Indicates text passages or buttons that appear in the program interface. They are shown in bold face.
Chapter | Indicates references to other chapters. They are executed as links and are shown in red and underlined.
[…] | Indicates keyboard shortcuts for entering commands.


About Nero MediaHome

Nero MediaHome is a certified UPnP™ (Universal Plug and Play) AV (Audio/Video) media server which automatically recognizes UPnP™ devices within a network.

Nero MediaHome can be used to exchange audio, video, and image files via the local network between the PC with MediaHome and other PCs with compatible software (e.g. Nero ShowTime, Nero Home or the Nero MediaStreaming plug-in) or UPnP™ devices.

Nero MediaHome is a server that enables clients, that is players that request services, to play files located in shared folders on the server. Thanks to Nero MediaHome, your PC can link up to other home entertainment electronics devices (for instance television sets) to create a unified media center. This gives you the option of viewing transmitted television programs via Nero MediaHome on two players simultaneously (multi-room viewing). Nero MediaHome automatically supplies the files in the appropriate format for the player in question.


Versions of Nero MediaHome

Nero MediaHome comes in the following versions:

  • Nero MediaHome full version
  • Nero MediaHome Essentials
  • Nero MediaHome Essentials SE
  • Nero MediaHome Essentials CE

All versions offer the full range of functions.


System Requirements

Nero MediaHome is installed together with the Nero suite, and its system requirements are the same. Detailed information about the system requirements is available in the Nero QuickStart Guide. In addition, the following requirements apply:

Optional:

  • Analog or digital TV card (analog, DVB-T, DVB-S, DVB-C, and ATSC) that complies with the BDA driver standard
  • Certified UPnP™ devices (you will find a list of the certified UPnP™ devices at http://www.upnp-ic.org/certification/default.asp#devices

We recommend that you install the latest WHQL-certified drivers. WHQL stands for Windows Hardware Quality Labs and means that the device driver from Microsoft® is certified compatible with Microsoft® Windows® and the relevant hardware.


Formats Supported

Nero MediaHome supports the following formats:

Audio formats Video formats Image formats Meta data
  • MP3 (MPEG-1 audio layer 3)

The following formats are read-only:

  • MP4 (audio)
  • OGG Vorbis
  • MP3PRO®
  • AC3
  • AIFF
  • LPCM
  • WAVE
  • MPEG-4 AAC (Nero Digital™)
  • MPEG-4 HE-AAC (Nero Digital™)
  • WMA
  • MPEG-1

The following formats are read-only:

  • DV-AVI
  • AVI
  • DIVX
  • Xvid
  • ASF
  • MPEG-2
  • MPEG-4 (Nero Digital™)
  • WMV
  • JPEG

The following formats are read-only:

  • GIF
  • TIFF
  • PNG
  • BMP
  • ID3 tags v1.1/v2)
  • MP3 (MPEG-1 audio layer 3)
  • WAV
  • WMA
  • AVI
  • MPEG-1
  • MPEG-2
  • Nero Digital™ (MPEG-4)
  • OGG/Vorbis
  • WMV
  • ASF
  • JPEG
  • PNG
  • BMP
  • GIF
  • TIFF


Launching the Program - Launching the Program

Launching the Program

To launch Nero MediaHome via Nero StartSmart, proceed as follows:

  1. Click the Nero StartSmart icon.
    • The Nero StartSmart window opens.
  2. Click the [image] button.
    • The list of Nero applications appears.
  3. Select the Nero MediaHome entry in the selection list.
    • The Nero MediaHome window opens.
      • You have started Nero MediaHome via Nero StartSmart.
You can also launch Nero MediaHome on-the-fly from the Windows Start menu.


Working with Nero MediaHome - Working with Nero MediaHome

Working with Nero MediaHome

Nero MediaHome is a UPnP™ media server. It lets you share media files (audio, image, and video files). This means that all users in the local network have access to the files. Players that are compatible with the UPnP™ standard can use, play and display released media files. UPnP™ compatible players include Nero ShowTime, XBox 360TM and TVs (via UPnP™ box if required).

Nero MediaHome makes the media files available in the format (transcodes them) required by the respective player. Transcoding is performed in real time.

Television channels as well as Internet services (web TV, audio/video/image casts) entered in Nero Scout can also be transmitted, used, played and displayed on players thanks to Nero MediaHome.

Nero Scout is a Nero Suite application and is automatically installed when Nero Suite is installed. Nero Scout indexes and catalogs all media files on your computer. It also enables you to subscribe to and manage Internet services. You will find further information in the Nero Scout manual.


Main Screen

The main screen is the starting point for using Nero MediaHome.

The main screen shows menu icons in a selection list. When one of the menu icons is clicked, the corresponding screen opens in the right-hand part of the main screen. When Nero MediaHome is launched, the Share screen is displayed by default. The following menu icons are available:

Share | Displays the Share screen where you can select the folders containing the media files for sharing (see Share Screen).
Options | Displays the Options screen where you can define the setting options for the server and autostart (see Options Screen).
Network | Displays the Network screen where you can define the setting options for the network (see Network Screen).
Transcoding | Displays the Transcoding screen where you can define the setting options for transcoding (see Transcoding Screen).
Remote UI | Displays the Remote UI screen where you can enable Remote UI (see Remote UI Screen).
Devices | Displays the Devices screen which shows the players found in the network (see Devices Screen).
TV | Displays the TV screen where you can define the setting and selection options for TV streaming (see TV Screen).
Status | Displays the Status screen which shows the status of the server and the media files currently being used by players (see Status Screen).

The main screen also contains the following buttons:

? | Displays a context menu where you can call up Help and can open the About Nero MediaHome and Nero on the Web windows.
Start Server | Starts the server. The Stop server button is displayed while the server is running.
Stop server | Stops the Nero MediaHome server. The Start Server button is displayed while the server is stopped.
Exit | Terminates the Nero MediaHome server and closes Nero MediaHome.


Configuring Nero MediaHome and Starting the Server

Before you can use Nero MediaHome, you must share folders containing audio, video and image files and define other options. Then you can start the server. Clients can then access the server and use Nero MediaHome.

To configure Nero MediaHome and start the server, proceed as follows:

  1. Click the Share menu icon to define audio, video and image files for sharing.
    • The Share screen appears.
  2. To share all files indexed by Nero Scout, select the Share all content indexed by Nero Scout option field.
Nero Scout is a Nero Suite application and is automatically installed when Nero Suite is installed. Nero Scout indexes and catalogs all media files on your computer. You will find further information in the Nero Scout manual.

  3. If you want to define the folders yourself containing files to be shared:
  1. Select the Share individual folders only option field.
  2. Click the Add share button..
    • The Find folder dialog box opens.
  3. Select the folders you want to share.

Note that only the files in the folder in question will be shared; any subfolders present will not be shared.

  4. Click the OK button.
    • If the folder is not yet indexed by Nero Scout, a dialog box opens.
  5. Click the Next button.
    • The folder is indexed by Nero Scout and added to the list of shared folders.
  6. To share more folders, repeat the above steps.
  4. Define the options you want in the Options screen (see Options Screen).
  5. Define the options you want in the Network screen (see Network Screen).
  6. Define the options you want in the Transcoding screen (see Transcoding Screen).
  7. Define the options you want in the Remote UI screen (see Remote UI Screen).
  8. Define the options you want in the TV screen
    (see TV Screen).
  9. Click the Start Server button.
    • The Security Information dialog box window opens.
  10. If you don't want to see the security information the next time you start the server, enable the Do not show this message again check box.
  11. Click the OK button.
    • If the server is being started for the first time, the Security Information dialog box opens.
  12. Click the Yes button.
    • Nero MediaHome automatically configures the Windows® firewall so that connections to the server are allowed.
      • The Nero MediaHome server is started and the Status screen is displayed. The files currently being used by a client are shown in the Status screen. The players found in the network are shown in the Devices screen.
        All players and other PCs in the network can list and play your shared files.
You cannot make settings in the screen while the server is running. (One exception is the Devices area in the Devices screen -- you can make changes here whenever you want).
You can stop the active Nero MediaHome server at any time using the Stop Server button.


Configuring an Automatic Start

You can configure an automatic start of the Nero MediaHome server.

The following requirement has to be fulfilled:

  • The server is not started.

Proceed as follows to start the server automatically every time the system is started:

  1. Click the Options menu icon.
    • The Options screen is displayed.
  2. In the Autostart and Tray Settings dialog box enable the Launch Nero MediaHome automatically when the computer is switched on check box.
  3. Enable the Automatically start the media server if Nero MediaHome is opened check box.
    • Nero MediaHome and the server will be started automatically the next time the computer is started.


Sample Application

The following requirements have to be fulfilled:

  • The Nero MediaHome server is started.
  • Audio, image and video files are shared.

Nero ShowTime is a client that can receive audio, video and image files from the Nero MediaHome server. To do this, proceed as follows:

  1. Start Nero ShowTime.
  2. Click the Select Source button.
  3. Select the Media Files entry from the context menu.
    • The Playlist window opens. In the left-hand selection list you will find the MediaHome Network entry. The subentries provide the shared media files in sorted folders.
  4. Select an appropriate file and click the Add button.
  5. Click the OK button.
    • You can now view the file using Nero ShowTime.
Nero ShowTime is a Nero Suite application and is automatically installed when Nero Suite is installed. You will find further information in the Nero ShowTime manual.


Share Screen - Share Screen

Share Screen

In the Share screen you can define audio, video and image files for sharing. Final sharing will not take place until the server is started.

The screen offers the following setting options:

Option field Share all content indexed by Nero Scout | Shares all audio, video and image files that have been indexed by Nero Scout.
Option field Share individual folders only | Enables Add Share button, thereby allowing you to choose yourself the files you want to share.
Button Add Share | Opens the Find Folder window. Here you select the folder containing the files you want to share. The selected folder is added to the list of shared folders.
Button Remove share | Removes the selected folder from the list of shared folders.


Options Screen - Options Screen

Options Screen

In the Options screen you can define server and autostart settings.

The screen offers the following setting options:

Server Settings area
Button Reset Message Boxes | Shows all messages and warnings that you had previously disabled.
Autostart and Tray Settings area
Check box Automatically start Nero MediaHome when computer is turned on | StartsNero MediaHome automatically as soon as the PC is switched on.
Check box Automatically start the media server if Nero MediaHome is opened | Starts the server automatically as soon as Nero MediaHome is launched.
Check box Start this window minimized | Starts Nero MediaHome minimized.
Check box Hide this window and put into the system tray when minimized | Shows the window as an icon in the system tray when it is minimized rather than in the taskbar.
Check box Always show Nero MediaHome icon in the system tray | Always displays the Nero MediaHome icon in the system tray, even when the window is open.


Network Screen - Network Screen

Network Screen

In the Network screen you can define network settings.

The screen offers the following setting options:

Input field Network name | Defines the network name for the server.
Option field Use a random port number | Selects a random port number for the Nero MediaHome network port.
Option field Use a fixed port number | Defines a port number for the network port that stays the same each time Nero MediaHome is launched.
Selection list Network interfaces | Shows all installed network connections with their status, the name of the respective network card, the assigned IP address as well as the type of network connection. If you check the Enabled box, the server can be accessed from this network connection.


Devices Screen - Devices Screen

Devices Screen

In the Devices screen you can define how players access the server and remote control with the Player Control.

If the server is started, you will see in real time the players found in the network in the Players found in the network list.

If the server is not started, this list will be empty.

The screen offers the following setting options:

Selection list Players found in the network | Displays the players detected in the network.
Button Player Controls | Opens a Player Control for the selected player (see Remote Control Devices).
Button Access Control | Defines the server access for the marked player. You can allow or refuse access or remove the player from the list.
Button Automatically allow new devices to access Nero MediaHome | Allows new players access to the server by default and adds them to the Players found in the network list.


Remote Control Devices

With the Player Control you can remote control players that have been found in the network. All UPnP™ capable DMR devices (DMR = Digital Media Renderer) are supported.

To remote control a device, proceed as follows:

  1. Mark the desired device in the Players found in the network selection list.
  2. Click the Player Controls button.
    • The Player Control opens. It has the name of the selected device. The status message and the status of the Browse button (enabled/disabled) tell you whether the device is ready.
You can have any number of Player Controls open at the same time.

  3. Click the Browse button and select an audio or video file, depending on the device.

You can also drag & drop audio and video files to the remote control.

    • The selected device plays the selected file. As usual, Nero MediaHome transcodes the file automatically to the appropriate playback format. You can use the control buttons to control playback, e.g. to play the next selected file.


Transcoding Screen - Transcoding Screen

Transcoding Screen

In the Transcoding screen you can define transcoding settings for audio, video, and image files in the Transcoding Audio, Video and Image Files areas. Transcoding refers to the conversion of a file from one format to another, for example from Xvid to MPEG-2 in the case of videos.

We recommend that you modify the settings in this screen only if you have advanced transcoding skills.

Other than the entries for the relevant formats, the following entries are available in the drop-down menus for the areas:

Keep original format | This means the original file is always retained. There is no check to see whether the client can play the desired file in its original format. This may mean that the client is unable to play the file.
Automatic detection | Checks whether the client can play the format. If this is the case, the original format is retained. If the client cannot play the file in this format, Nero MediaHome asks which formats are supported and transcodes the file accordingly. This procedure calls for computing capacity and may possibly impair the quality of reproduction.

The default setting for all formats is Automatic detection. If a client is unable to play the file in the original format, the respective file will be transcoded before playback if this setting is implemented.

The following option fields are also available in the Transcoding Video Files and Transcoding Image Files areas:

PAL | Selects the video mode PAL (Phase Alternating Line), which is used in Europe, but also in Australia, South America and many African and Asian countries.
NTSC | Selects the video mode NTSC (National Television System Committee), which is used extensively in the US and some East Asian countries.
Original resolution | Retains the original resolution.


Remote UI Screen - Remote UI Screen

Remote UI Screen

In the Remote UI screen you can enable Remote UI and have the available Remote UI plug-ins displayed. Remote UI is an open UPnP™ standard that makes it possible to display a graphic interface on devices.

With Remote UI you can use applications such as the supplied Sudoku game on your television and thereby expand the capabilities of your television.

You can also program applications yourself for Remote UI; basic programming knowledge in JScript is sufficient. The application must be in the Nero MediaHome folder to be detected by Nero MediaHome.

The screen offers the following setting options:

Check box Enable Remote UI | Enables Remote UI.
Input field Network port number | Assigns a port number. Please note: The port number entered here must differ from the one you entered in the Options screen.
Display list Remote UI plug-ins | Lists the available plug-ins for Remote UI. The Sudoku application is supplied by default.


TV Screen - TV Screen

TV Screen

In the TV screen you can define settings for TV streaming.

You can only use this function if a supported TV card is connected to and installed on your computer.

The screen offers the following setting options:

Check box Enable TV streaming | Enables TV streaming and the Launch Nero TV Wizard button.
Button Launch Nero TV Wizard | Opens the TV Wizard window where you can define settings for the TV card and select channels for TV streaming.


Selecting and Setting TV Channels for Streaming

The following requirements have to be fulfilled:

  • The server is not started.
  • A supported TV card is connected to and installed on your computer.

Using Nero MediaHome you can select and set TV channels for streaming. Streaming means that the channel can be simultaneously received and displayed. To do this, proceed as follows:

  1. Click the TV menu icon.
    • The TV screen appears.
  2. Check the Enable TV streaming check box.
  3. Click the Launch Nero TV Wizard button.
    • The TV Wizard window opens with the Device Selection screen.
  4. In the Video device combo box, select the entry for your TV card.
The entries displayed in the combo box depend on your TV card.

  5. If your TV card has several video inputs, select the entry you want in the Video input combo box.
  6. Select the entry for the audio device in the Audio device combo box.

In most cases, the correct entry is Use audio from video device.

  7. If your TV card has several audio inputs, select the entry you want in the Audio input combo box.
  8. Select the recording profile you want in the Recording quality combo box.
  9. If you want to change the path where recordings are stored:
  1. Click the ... button.
    • The Find Folder dialog box opens.
  2. Select the folder you want.
  3. Click the OK button.
    • The dialog box is closed and the chosen path is accepted.
  10. Click the Next button.
    • The Channel Search screen appears.
  11. In the Select Country combo box, select the country you are in at the moment.
  12. Click the Start Search button to find TV channels.
    • The search is started. The progress bar in the Search Status area shows you the progress of the search. The number of channels found is shown in the Search Status area.
  13. When the channel search is finished, click the Next button.
    • The Edit TV Channel screen appears.
      The channels found are shown in the drop-down lists on the TV Channels and Radio Stations tabs.
  14. If you want to rename a channel:
  1. Highlight the channel you want in the drop-down list.
  2. Click the Rename button.
    • The Rename Channel dialog box opens.
  3. Enter the desired name in the input field.
  4. Click the OK button.
    • The dialog box closes. The respective channel is renamed.
  15. To delete a channel:
  1. Select the desired channel.
  2. Click the Remove button.
    • The channel is removed from the drop-down list.
  16. To change the position of a channel:
  1. Select the relevant channel.
  2. Click the Up or Down button.
    • The channel changes its position accordingly.
  17. Click the Next button.
    • The Administer TV Channel Groups screen appears.
  18. If you want to manage TV channel groups, click the TV Channel Groups tab.
Channel groups are useful for managing TV channels. For example, you can group all sports channels into one channel group called "Sports."

  19. If you want to create a new channel group:
  1. Click the Add button.
    • The Add Group dialog box opens.
  2. Enter the desired name in the input field.
  3. Click the OK button.
    • The dialog box is closed and the group is added to the drop-down list.
  20. To change the position of a channel group:
  1. Select the desired channel group.
  2. Click the Up or Down button.
    • The channel group changes its position accordingly.
  21. If you want to view and manage TV channels, click the TV Channels in Groups tab.
    • The Available Channels drop-down list shows the channels that have not yet been allocated to a group.
  22. In the Change Groups combo box, select the entry for the group to which you want to add channels or from which you want to delete channels.
  23. Select the channels you want to add to the group from the Available Channels list.
  24. Click the >> button.
  25. Repeat the last three steps for each group to be allocated channels.
  26. To change the position of a channel:
  1. Select the desired channel in the Change Groups area.
  2. Click the Up or Down button.
    • The channel changes its position accordingly.
  27. To delete a channel from the group:
  1. Select the desired channel in the Change Groups area.
  2. Click the >> button.
    • The channel is removed from the group and moved to the Available Channels drop-down list.
  28. Click the Finish button.
    • The information is saved. You have defined the TV settings and selected TV channels for streaming.
      Suitable players, for example Nero ShowTime or Nero Home, can receive the TV channels from the server and play them.


Status Screen - Status Screen

Status Screen

The Status screen shows the current status of the server and the clients accessing it.

The server icon indicates whether the server is running or has been stopped.

If the server is running, you will see in real time the number of queries, data transfers, the volume of data transferred, and the files currently being transferred.

If the server has been stopped, this area will be empty.


Contact Information - Contact Information

Contact Information

Nero MediaHome is a Nero AG product.

Nero AG

Im Stoeckmaedle 13-15

76307 Karlsbad

Germany

Web: | www.nero.com
Help: | http://support.nero.com
E-mail: | techsupport@nero.com
Fax: | +49 724 892 8499

Copyright © 2007 Nero AG and its licensors. All rights reserved.


Glossary

AVI

Client

Codec

Container format

JPEG

LAN

Meta data

MPEG

MPEG-1

MPEG-2

MPEG-4

Nero Digital

NTSC

PAL

Port

Server

Streaming

UPnP™


AVI

An acronym for Audio Video Interleave. A Microsoft® standard container format.


Client

A client is a computer, program or device that utilizes the services of a server in a network. For example, Nero ShowTime is a client for Nero MediaHome.


Codec

Short for compressor/decompressor. A codec is a method in which data is digitally encoded for recording or saving to disc then decoded for playback.


Container format

A container format is a file format to which other file formats are saved in multiple data streams for video and audio. For example, an MP4 container, i.e. a file with the extension *.mp4, can consist of video streams in the video format MPEG-4 AVC encoded using Nero Digital™ and audio streams in the audio format MPEG-4 HE-AAC encoded using Nero Digital™. This and other container formats can also contain additional data such as subtitles, menus or other sound tracks.


JPEG

An acronym for Joint Photographic Experts Group. This is an international group which created a standard for the compression of pictures.


LAN

Acronym for Local Area Network. A LAN is a geographically restricted network of computers, for example within a company.


Meta data

Meta data contains information on the artist, album, track, running time, bit rate, resolution, and so on. As a result, it is possible to categorize media files according to their type (audio, video or image) and you will then find them sorted according to artist, album and genre, for example.


MPEG

Acronym for Moving Picture Experts Group that adopts industry standards for audio and video codecs.


MPEG-1

This format is part of the MPEG compression family.


MPEG-2

There is very little difference between MPEG-1 and MPEG-2, with the exception that MPEG-2 works better with televisions that are interlaced and is the broadcast standard. MPEG-2 is used as a video format on DVDs.


MPEG-4

MPEG-4 is the newest MPEG standard for video and audio. It was approved in 1999. MPEG-4 unifies many features of MPEG-1, MPEG-2 and other standards. Nero Digital™ Video and Nero Digital™ Audio are based on this standard.


Nero Digital

Nero Digital™ is a suite of MPEG-4 compatible video and audio codecs. The codecs are fully compatible with the MPEG-4 standard and have been further developed by Nero to achieve a considerably higher quality and to make available additional functions such as subtitles.


NTSC

An acronym for National Television System Committee and the standard for video and television in extensive parts of the US and in some East Asian countries. NTSC has more frames per second than PAL but has fewer horizontal lines than PAL.


PAL

PAL stands for Phase Alternating Line and is the video and television standard in use in many parts of Europe, but also in South America and Australia. PAL has more horizontal lines than NTSC but fewer frames per second than NTSC.


Port

A port is an interface, in other words an input and output channel used by a server to communicate with the network. The server on which a data package is received uses the port number to identify the service for which the data package is intended (e.g. WWW or FTP); some services run on fixed ports, e.g. Webserver on port 80. A port can be open or closed. Thus, for example, certain ports must be opened on a router and forwarded to the target computer in order for server applications and online games to work.


Server

A server is a computer, program or device that shares its data and resources with other computers, programs or devices (clients) in a network.


Streaming

Streaming means the continuous transmission of data that can already be played during the transmission procedure. This means it is unnecessary to wait until a media file has been transmitted completely before it can be reproduced.


UPnP™

Abbreviation of "Universal Plug and Play". UPnP™ is a manufacturer-independent system for controlling devices in a local area network; it can be used to connect peripheral devices to a PC in order to create a home network.